<template>
  <v-overlay>
    <v-progress-circular indeterminate size="64"></v-progress-circular>
  </v-overlay>
</template>

<script>
import { mapState } from 'vuex'
import { isNil } from 'lodash'

export default {
  computed: mapState('authentication', ['user']),
  watch: {
    user: {
      handler(user) {
        if (user === undefined) {
          return
        }
      
        if (this.$route.query.redirectUrl === this.$route.path) {
          this.$router.push('/')
        }
        let redirectUrl = isNil(user)
          ? `/login?redirectUrl=${this.$route.query.redirectUrl}`
          : this.$route.query.redirectUrl
        
        if (!redirectUrl)
          redirectUrl =
            user.role === 'facilitator' ? '/facilitator' : '/dashboard'

        let query = null
        if (this.$route.query && this.$route.query.code) {
          console.log(this.$route.query)
          query = this.$route.query
        }

        this.$router.push({ path: `${redirectUrl}`, query })
      },
      immediate: true
    }
  }
}
</script>

<style lang="scss" scoped>
.loading-title {
  text-align: center;
}
</style>
